Bug 167755 - Review Request: perl-Apache-Session-Wrapper
Summary: Review Request: perl-Apache-Session-Wrapper
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Apache-Se...
Whiteboard:
Keywords:
Depends On: 167511
Blocks: FE-ACCEPT 166203
TreeView+ depends on / blocked
 
Reported: 2005-09-07 20:21 UTC by Tom "spot" Callaway
Modified: 2009-08-26 23:34 UTC (History)
2 users (show)

Fixed In Version: 0.33-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 17:13:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing review issues (1.92 KB, patch)
2005-09-12 12:12 UTC, Paul Howarth
no flags Details | Diff

Description Tom "spot" Callaway 2005-09-07 20:21:57 UTC
Spec Name or Url: http://www.auroralinux.org/people/spot/review/Maypole/perl-Apache-Session-Wrapper.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/Maypole/perl-Apache-Session-Wrapper-0.25-1.src.rpm
Description: 

A simple wrapper around Apache::Session

(This is also a Maypole dependency)

Comment 1 Paul Howarth 2005-09-12 12:11:11 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, license text included (from upstream :-))
- spec written in English and is legible
- sources match upstream
- builds OK on FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets

Needswork:

- Apache/Session/Wrapper.pm includes:
  use base qw(Class::Container);
  this dep isn't picked up automatically, so it'll need a manual dep.

- Missing BR: perl(Module::Build). Since the package uses Module::Build, it's
  probably best to use Build.PL anyway.

Nitpick:

- Adding BR: perl(Test::Pod) would improve test cover.


Comment 2 Paul Howarth 2005-09-12 12:12:18 UTC
Created attachment 118707 [details]
Patch addressing review issues

Comment 4 Paul Howarth 2005-09-12 14:38:18 UTC
Approved.

Comment 5 Walter Gould 2009-08-04 21:32:11 UTC
Package Change Request
======================
Package Name: perl-Apache-Session-Wrapper
New Branches: EL-5
Owners: tcallawa gouldwp

Comment 6 Tom "spot" Callaway 2009-08-05 04:38:35 UTC
Walter, you didn't flip the cvs flag, which is why no one saw this except me... I finally found the missing bits in my backup to go and make the branch... but there are already EL-4 and EL-5 branches for this package. I just kicked off another build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1582556

Comment 7 Walter Gould 2009-08-05 05:29:45 UTC
Tom - thanks for catching that.  I was going to fast and missed changing the flag...  I tried submitting the package to Bodhi, but it says "gouldwp does not have commit access to perl-Apache-Session-Wrapper"...

Comment 8 Tom "spot" Callaway 2009-08-05 14:06:53 UTC
Walter, just go to:

https://admin.fedoraproject.org/pkgdb/packages/name/perl-Apache-Session-Wrapper#FedoraEPEL5

Request all the permissions on the EL-5 branch and I'll go ahead and give them to you.

Comment 9 Fedora Update System 2009-08-05 18:49:53 UTC
perl-Apache-Session-Wrapper-0.33-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Apache-Session-Wrapper-0.33-5.el5

Comment 10 Fedora Update System 2009-08-26 23:34:06 UTC
perl-Apache-Session-Wrapper-0.33-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.